Erreur aprés migration en 2.4.2



  • Bonjour,

    Je viens de réinstaller mon PFSENSE en utilisant la même machine
    Ancienne version : 2.3.4-RELEASE (i386)
    Nouvelle version : 2.4.2-RELEASE-p1 (amd64)

    J'ai restauré une sauvegarde de la configuration après l'installation de la nouvelle version.

    Tout semble fonctionner correctement, cependant je recois l'erreur suivante par mail :

    There were error(s) loading the rules: /tmp/rules.debug:213: syntax error - The line in question reads [213]: pass out  route-to ( re1 A1.A2.A3.A4 ) from B1.B2.B3.B4 to !/ tracker 1000004861 keep state allow-opts label "let out anything from firewall host itself"

    A1.A2.A3.A4 est l'adresse IP de mon interface WAN
    B1.B2.B3.B4 est l'adresse IP de ma passerelle (boitier opérateur) de mon interface WAN

    Avez vous une idée ?



  • Rapidement.
    Avez vous tenté de simplement ré enregistrer vos règles au moins sur wan ?
    Quid dns forwarder vs resolver ?



  • La migration est majeure car vous avez passé de 386 à amd64 !
    Vous avez conservé une sauvegarde de la version précédente (fichier .xml).

    Si la restauration de la sauvegarde ne fonctionne pas, il est possible de faire des 'restaurations partielles'.

    L'idée est de partir du serveur fraichement installé avec la nouvelle version, donc config à 0.
    On configure le LAN correctement et on fait une sauvegarde.
    Dans le fichier .xml, on incorpore la sauvegarde originale par petit bout : la section <interfaces>, puis les <aliases>, puis les <rules>On peut voir ainsi si la config se reconstruit correctement.

    Il est notable, que pour les interfaces, du fait de 386/amd64 ou pas, les interfaces physiques BSD peuvent changer …</rules></aliases></interfaces>


 

© Copyright 2002 - 2018 Rubicon Communications, LLC | Privacy Policy